<?php
/**
 * Система управления сайтом HostCMS v. 5.xx
 * Copyright © 2005-2010 ООО "Хостмэйк" (Hostmake LLC), http://www.hostcms.ru
 *
 * Обработчик удаления "водяного знака" информационной системы.
 * 
 * Файл: /admin/InformationSystems/action/delete_information_system_watermark.php
 * 
 * @author Hostmake LLC
 * @version 5.x
 */ 
$information_system_id = to_int($_GET['delete_information_system_watermark']);

$InformationSystem = & singleton('InformationSystem');

// Получаем данные об информационной системе, к которой принадлежит удаляемый watermark
$row = $InformationSystem->GetInformationSystem($information_system_id);

// Формируем путь к удаляемому файлу watermark
$file_path = CMS_FOLDER . UPLOADDIR . 'information_system_' . $information_system_id . '/' . $row['information_systems_watermark_file'];

// Файл "водяного знака" существует

if (is_file($file_path))
{
	// Удаляем Файл "водяного знака"
	@unlink($file_path);
	
	// Удаляем файл "водяного знака" из таблицы
	$query = "Update `information_systems_table`SET `information_systems_watermark_file` = ''
		WHERE `information_systems_id` = '" . $information_system_id . "'";
		
	$DataBase->query($query);
}
?>